Commit 7af18468 authored by Mikko Koppanen's avatar Mikko Koppanen Committed by Martin Sustrik

Add option to build with system opepgm

Signed-off-by: 's avatarMikko Koppanen <mkoppanen@php.net>
parent 0e0e4559
......@@ -20,6 +20,12 @@
# Script to generate all required files from fresh git checkout.
command -v pkg-config >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find pkg-config. pkg-config is required to run autogen.sh." 1>&2
exit 1
fi
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
......
......@@ -273,6 +273,15 @@ AC_ARG_WITH([pgm], [AS_HELP_STRING([--with-pgm],
[build libzmq with PGM extension [default=no]])],
[with_pgm_ext=$withval], [with_pgm_ext=no])
# build using system pgm
AC_ARG_WITH([system-pgm], [AS_HELP_STRING([--with-system-pgm],
[build libzmq with PGM extension [default=no]])],
[with_system_pgm_ext=yes], [with_system_pgm_ext=no])
if test "x$with_pgm_ext" != "xno" -a "x$with_system_pgm_ext" != "xno"; then
AC_MSG_ERROR([--with-pgm and --with-system-pgm cannot be specified together])
fi
if test "x$with_pgm_ext" != "xno"; then
# This allows placing the tar.gz to foreign/openpgm
......@@ -319,6 +328,14 @@ if test "x$with_pgm_ext" != "xno"; then
ac_zmq_pgm_ext="yes"
fi
# Build with system openpgm
if test "x$with_system_pgm_ext" != "xno"; then
PKG_CHECK_MODULES([OpenPGM], [openpgm-5.1 >= 5.1])
AC_DEFINE(ZMQ_HAVE_OPENPGM, 1, [Have OpenPGM extension])
LIBZMQ_EXTRA_CXXFLAGS="$OpenPGM_CFLAGS $LIBZMQ_EXTRA_CXXFLAGS"
LIBS="$OpenPGM_LIBS $LIBS"
fi
AC_SUBST(pgm_basename)
# Set -Wall, -Werror and -pedantic
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment